Figure - 0 O Dev #111031
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev# 110125 (New): 0 MKO OBSPO 0 0 0 O
0 O Dev#110638 (0 O Resolved): 0 MK 00080 0 BOOTO 0 0 O
0 MKO 00230 O BUTO O TC-RID: 1200-01023040 [0 O Androidd O O
2022-08-04 16:09 - CD TPM-0 0 O

Status: 0 O Closed Start date: 2022-08-04
Priority: Normal Due date: 2022-10-27
Assignee: CDBSP-U OO % Done: 100%
Category: BSP Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V1.0_update_20220925

Description

oooood

mJ000:

https://thundersoft.feishu.cn/sheets/shtcngaFykINSnMcKWLuICI3xnc L69
O O Androidd O O

m JO0OURLOODO

m [ dcased 00O

s 000000000000 00OO

History

#1 - 2022-08-04 16:10-CD TPM-0 0O O
- Subject changed from 0 MKO 0 230 0 BUTO O TC-RID: 0300-01023040 O O Androidd O O to 0 MKO O 0230 0 BUTO O TC-RID: 0300-01023040 O
0 Androidd O O

#2 - 2022-08-04 21:37-CD TPM-0 O O
- Subject changed from 0 MK 00 0230 [0 BUTO O TC-RID: 0300-010230400 O [0 Android] O O to 0 MKO 0 0230 O BUTO O TC-RID: 1200-010230401 O
O Androidd O O

#3 - 2022-09-06 12:07 - CD BSP-0 0 O
- File 20220906-120711.jpg added

- Status changed from New to O0 [0 O In Progress
- Assignee changed from CD BSP-0J 0 O to CDBSP-0 O O

000000000000000000 buildd

#4 - 2022-09-13 23:56 - CD BSP-U O O
gopMOODOODODOODOOOOOOODODODOO
Ethernet(

CANO

ooooo

goooo

gooooooooo

#5-2022-10-27 21:01 - CDBSP-0 O O
https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc

- Due date set to 2022-10-27
- % Done changed from 0 to 90

- Parent task changed from #110125 to #110638

#6 - 2022-11-01 15:48 - CDBSP-O O O

- Status changed from O O O In Progress to O [0 Resolved
- Target version set to VX1_MCE_FSE_V1.0_update_20220925

- % Done changed from 90 to 100
#7-2022-11-0911:41 - CDBSP-0 O O
oooooooo
0000Ofete000O00OOOOOO

gooooooo
gooooooooo

#8-2022-11-09 11:44-CDBSP-0 0 O

- Status changed from O O Resolved to 0 O Closed
#9 - 2022-12-22 20:21 - CD FW-0O O
Gerrit Merge Informationd
1D Project Branch Uploader
140949 general/vendor/thundercomm/produc | Pre_figure_turbox-c2130c-lal.1-vendo | dingww0707@thundersoft.com

ts/figure

r-dev

BSP:BUT: figure product bring upadd figure productTC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-I1d:
118859d0ad8d26fca5da62a31b32385a485adaebc

#10 - 2022-12-22 20:21 - CDFw-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

141005

general/vendor/thundercomm/produc

ts/common

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

dingww0707@thundersoft.com

BSP:BUT: figure product bring upadd product commonTC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-1d:
18d0d3310dda3833381d726f329b00e78e45556b4

#11 - 2022-12-22 20:21 - CD Fw-0O O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

141015

general/platform/vendor/gcom-opens

ource/core-utils

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

dingww0707@thundersoft.com

2025-07-04
BSP:BUT: figure product bring upadd support for new product in build.shTC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-Id:
leb5bea2829c9631bd15balbe2bbeb4ch3e9c5478

#12 - 2022-12-22 20:21 - CD Fw-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

141023

general/LINUX/android/vendor/qco
m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

dingww0707@thundersoft.com

BSP:BUT: figure product bring upl. enable sanitizer2. clang supportTC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-1d:
1d594063cbbac2976b06049a818be476b1bc6057a

#13 - 2022-12-22 20:21 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

141026

general/common

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

dingww0707@thundersoft.com

BSP:BUT: figure product bring upuse figure builds instead TC-RID: 1200-0102304Issuel D: TC-R-DF-111031Change-Id:
1ba69c3fa2b15930125dc903a8f1c9c76019d0eef

#14 - 2022-12-22 20:21 - CD Fw-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

141071

general/vendor/thundercomm/produc

ts/sepolicy_vndr

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

dingww0707@thundersoft.com

BSP:BUT: Add target SELinux customizationAdd target SELinux customizationTC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-Id:
138587f6ch78b26ch3283223cfee597039902¢32d

#15 - 2022-12-22 20:21 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

141072

general/vendor/thundercomm/produc
ts/sepolicy

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

dingww0707@thundersoft.com

2025-07-04
BSP:BUT: Add sepolicy configurationAdd TC sepolicy directoryTC-RID: 1200-01023041ssuel D: TC-R-DF-111031Change-Id:
122702f7225305bc17eb14d211c5609e8e29ade62(cherry picked from commit 9f41f7e66f94899b106687901023e1f337e82629)

#16 - 2022-12-22 20:22 - CD FwW-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
141189 general/platform/vendor/qcom-opens | Pre_figure_turbox-c2130c-lal.1-gssi12 | dingww0707@thundersoft.com
ource/core-utils -dev

BSP:BUT: figure product bring upadd support for new product in build.shTC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-Id:
la27eca67c6737ee8d234613a82dcad488040f44a

#17 - 2022-12-22 20:22 - CD FW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
141192 general/turbox/tools/build_script/platf | Pre_figure_turbox-c2130c-lal.1-vendo | dingww0707@thundersoft.com
orm r-dev

BSP:BUT: figure product bring upupdate fastboot,meta,hlos for figureTC-RID: 1200-01023041ssuel D: TC-R-DF-111031Change-1d:
la7c6ecd5c7fd432aa4610063d7be99fh9e82f5534

#18 - 2022-12-22 20:22 - CD FwW- O
Gerrit Merge Information(]

1D Project Branch Uploader
141194 general/turbox/tools/build_script/devi | Pre_figure_turbox-c2130c-lal.1-vendo | dingww0707@thundersoft.com
ce r-dev

BSP:BUT: figure product bring upadd figure fastboot flash supportTC-RID: 1200-01023041ssuelD: TC-R-DF-111031Change-Id:
19087¢3f3e2f1d9b9a54272h33414be297ecf4121

#19 - 2022-12-22 20:23 - CD FwW-0O O

Gerrit Merge Information(

1D Project Branch Uploader
142332 general/platform/build Pre_figure_turbox-c2130c-lal.1-gssi12 | shenyy1110@thundersoft.com
-dev
BSP:BUT: gssi build prop custAdd suport for gssi build prop custTC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-Id:

1b177bd10a2b9252de4b079723c9d467bd4af8e5¢

#20 - 2022-12-22 20:23 - CD Fw-0O O

Gerrit Merge Informationd

1D Project

Branch

Uploader

142380 general/platform/build

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

shenyy1110@thundersoft.com

121d008182b725fad8726be195ff62149e714cd77

BSP:BUT: target build prop custAdd suport for target build prop custTC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-Id:

#21 - 2022-12-22 20:23 - CD FW-0 O

Gerrit Merge Information(

1D Project

Branch

Uploader

142820 general/platform/build

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shenyy1110@thundersoft.com

TC-R-DF-111031Change-1d: lee2ca6990cf2ale4b69699e646aldbdc878a3ff0

BSP:BUT: gssi build prop custAdd TARGET_BUILD_VARIANT for privatechange to TC_BUILD_NUMBERTC-RID: 1200-0102304IssuelD:

#22 - 2022-12-22 20:23 - CD Fw-O O
Gerrit Merge Information(]

1D Project

Branch

Uploader

142826 general/platform/build

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

shenyy1110@thundersoft.com

TC-R-DF-111031Change-1d: 1e194d427bff177b0b235¢5900761cedf73dafc17

BSP:BUT: target build prop custAdd TARGET_BUILD_VARIANT for privatechange to TC_BUILD_NUMBERTC-RID: 1200-01023041ssuelD:

#23 - 2022-12-22 20:24 - CD Fw-0O O

Gerrit Merge Information(

1D Project Branch Uploader
142927 general/turbox/tools/build_script/devi | Pre_figure_turbox-c2130c-lal.1-vendo | shenyy1110@thundersoft.com
ce r-dev

2025-07-04
BSP:BUT: target build prop custModify Build nameTC-RID: 1200-01023041ssuel D: TC-R-DF-111031Change-Id: Icff5e3a380ac90994cdabc41341cadda8cfb47d5

#24 - 2022-12-22 20:24 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

142933

general/turbox/tools/build_script/platf

orm

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

shenyy1110@thundersoft.com

BSP:BUT: target build prop custModify Build nameTC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-1d: 12e764c4d17622e70e96¢11649b62c7030916297a

#25 - 2022-12-22 20:25 - CD Fw-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

143533

general/turbox/tools/build_script/platf

orm

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

shenyy1110@thundersoft.com

BSP:BUT: target build prop custModify release Build zip nameTC-RID: 1200-01023041ssuelD: TC-R-DF-111031Change-Id:
18383d289f073c324a4ee837c4ce2333462ab5c1e

#26 - 2022-12-22 20:25 - CD Fw-0O O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

143546

general/turbox/tools/build_script/devi
ce

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

wangwei0629@thundersoft.com

BSP:BUT: target build prop custModify release Build zip nameTC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-Id:
1f4deabc1886f6f917fa407508263350c4c071338

#27 - 2022-12-22 20:29 - CD Fw-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

147062

general/platform/build

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_evtl

tangjz1204@thundersoft.com

2025-07-04

BSP:BUT: gssi build prop custAdd suport for gssi build prop custeg. 01.00.000x.X101TC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-1d:

6/9




1b9eb67¢253f3710710eb507f7c0927¢c38a815aef(cherry picked from commit 6cdf9e2d4959a4542f91df5afa8c29a06eadd2c0)

#28 - 2022-12-22 20:29 - CD Fw-0O O

Gerrit Merge Informationd

1D Project Branch Uploader

147063 general/platform/build Pre_figure_turbox-c2130c-lal.1-vendo | tangjz1204@thundersoft.com

r-release_evtl

BSP:BUT: target build prop custAdd suport for target build prop custeg. 01.00.000x.X101TC-RID: 1200-01023041ssuel D: TC-R-DF-111031Change-Id:
1c05379f67cb779c5bb792536b3005751f4d9ffab

#29 - 2022-12-22 20:29 - CDFW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
147080 general/platform/build Pre_figure_turbox-c2130c-lal.1-vendo | xiaodong.li@thundersoft.com
r-dev

BSP:BUT: target build prop custAdd suport for target build prop custeg. 01.00.000x.X101TC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-Id:
1c05379f67¢cb779c5bb792536b3005751f4d9ffab

#30 - 2022-12-22 20:29 - CD Fw-0 O
Gerrit Merge Information(]

1D Project Branch Uploader
147084 general/platform/build Pre_figure_turbox-c2130c-lal.1-gssi12 | xiaodong.li@thundersoft.com
-dev

BSP:BUT: gssi build prop custAdd suport for gssi build prop custeg. 01.00.000x.X101TC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-1d:
1b9eb67¢253f3710710eb507f7c0927c38a815aef

#31 - 2022-12-22 20:29 - CD Fw-0O O

Gerrit Merge Information(

1D Project Branch Uploader

147165 general/platform/build Pre_figure_turbox-c2130c-lal.1-vendo | tangjz1204@thundersoft.com

r-release_evtl
BSP:BUT: target build prop cust(fix)Add suport for target build prop custeg. 01.00.000x.X101TC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-Id:
ldc2e0d5cad56a2a3c92b9417cadcfcS6dacd7141

#32 - 2022-12-22 20:29 - CD Fw-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

147166

general/platform/build

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_evtl

tangjz1204@thundersoft.com

BSP:BUT: gssi build prop cust(fix)Add suport for gssi build prop custeg. 01.00.000x.X101TC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-Id:
10aa74783e70df5b00620e7b28869e6a999d06b1d

#33 - 2022-12-22 20:29 - CDFW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

147261

general/platform/build

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiaodong.li@thundersoft.com

BSP:BUT: target build prop cust(fix)Add suport for target build prop custeg. 01.00.000x.X101TC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-Id:
ldc2e0d5cad56a2a3c92b9417cadcfc56dacd7141

#34 - 2022-12-22 20:29 - CDFwW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

147263

general/platform/build

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

xiaodong.li@thundersoft.com

BSP:BUT: gssi build prop cust(fix)Add suport for gssi build prop custeg. 01.00.000x.X101TC-RID: 1200-0102304IssuelD: TC-R-DF-111031Change-Id:
10aa74783e70df5b00620e7b28869e6a999d06b1d

#35 - 2022-12-22 20:37 - CD Fw-0 O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

152061

general/turbox/tools/build_script/platf
orm

Pre_figure_turbox-c2130c-lal.1-vendo
r-dev

dulei0503@thundersoft.com

2025-07-04
BSP:BUT: Modify images package nameModify DB and Release Build zip nameOld: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha.zipNew:
FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.20.X101.zipTC-RID: 1201-0102304lIssuel D: TS-R-DF-111031Change-Id:
1f13401914f5501b4434d87e8ae2b44fe3553633b

Files

20220906-120711.jpg 151 KB 2022-09-06 CDhBsSP-0 00O
